org.apache.lucene.luke.models.commits

## Interface Commits

All Known Implementing Classes:
  CommitsImpl

    public interface Commits

A dedicated interface for Luke's Commits tab.

### Method Summary

All Methods Instance Methods Abstract Methods
`Optional<Commit>` `getCommit(long commitGen)` Returns a commit of the specified generation.
`List<File>` `getFiles(long commitGen)` Returns index files for the specified generation.
`Map<String,String>` `getSegmentAttributes(long commitGen, String name)` Returns internal codec attributes map for the specified segment.
`Optional<Codec>` `getSegmentCodec(long commitGen, String name)` Returns codec for the specified segment.
`Map<String,String>` `getSegmentDiagnostics(long commitGen, String name)` Returns diagnotics for the specified segment.
`List<Segment>` `getSegments(long commitGen)` Returns segments for the specified generation.
`List<Commit>` `listCommits()` Returns commits that exists in this Directory.

### Method Detail

#### listCommits

    List<Commit> listCommits()

Returns commits that exists in this Directory.

Throws:
  `LukeException` - - if an internal error occurs when accessing index

#### getCommit

    Optional<Commit> getCommit(long commitGen)

Returns a commit of the specified generation.

Parameters:
  `commitGen` - - generation
Throws:
  `LukeException` - - if an internal error occurs when accessing index

#### getFiles

    List<File> getFiles(long commitGen)

Returns index files for the specified generation.

Parameters:
  `commitGen` - - generation
Throws:
  `LukeException` - - if an internal error occurs when accessing index

#### getSegments

    List<Segment> getSegments(long commitGen)

Returns segments for the specified generation.

Parameters:
  `commitGen` - - generation
Throws:
  `LukeException` - - if an internal error occurs when accessing index

#### getSegmentAttributes

    Map<String,String> getSegmentAttributes(long commitGen,
                                            String name)

Returns internal codec attributes map for the specified segment.

Parameters:
  `commitGen` - - generation
  `name` - - segment name
Throws:
  `LukeException` - - if an internal error occurs when accessing index

#### getSegmentDiagnostics

    Map<String,String> getSegmentDiagnostics(long commitGen,
                                             String name)

Returns diagnotics for the specified segment.

Parameters:
  `commitGen` - - generation
  `name` - - segment name
Throws:
  `LukeException` - - if an internal error occurs when accessing index

#### getSegmentCodec

    Optional<Codec> getSegmentCodec(long commitGen,
                                    String name)

Returns codec for the specified segment.

Parameters:
  `commitGen` - - generation
  `name` - - segment name
Throws:
  `LukeException` - - if an internal error occurs when accessing index